Page MenuHomePhabricator

[X86][AVX2] Added support for 256-bit zero extension shuffle matching
ClosedPublic

Authored by RKSimon on Jan 29 2015, 7:25 AM.

Details

Summary

Enabled shuffle matching for the AVX2 zero extension (128bit -> 256bit) vpmovzx* instructions.

This is a follow-up to D7228 which adds shuffle decodes / assembly comments for the (v)pmovzx* comments - if that ticket gets approved I can update this patch's tests to include the comments.

Diff Detail

Repository
rL LLVM

Event Timeline

RKSimon updated this revision to Diff 18958.Jan 29 2015, 7:25 AM
RKSimon retitled this revision from to [X86][AVX2] Added support for 256-bit zero extension shuffle matching.
RKSimon updated this object.
RKSimon edited the test plan for this revision. (Show Details)
RKSimon added reviewers: chandlerc, andreadb, spatel.
RKSimon set the repository for this revision to rL LLVM.
RKSimon added a subscriber: Unknown Object (MLST).
RKSimon updated this revision to Diff 19093.Jan 31 2015, 8:34 AM

Updated with assembly comments now that D7228 has been committed.

chandlerc accepted this revision.Feb 3 2015, 10:22 AM
chandlerc edited edge metadata.

LGTM

This revision is now accepted and ready to land.Feb 3 2015, 10:22 AM
This revision was automatically updated to reflect the committed changes.